#
# spec file for package ghostwriter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ghostwriter
Version:        1.4.2
Release:        3.3
Summary:        A distraction-free Markdown editor
License:        GPL-3.0+
Group:          Productivity/Text/Editors
Url:            https://wereturtle.github.io/ghostwriter
Source:         https://github.com/wereturtle/ghostwriter/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(hunspell)
Requires(post): hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files
Suggests:       cmark
Suggests:       discount
Suggests:       pandoc

%description
ghostwriter is a text editor for Markdown, which is a plain text
markup format. For more information about Markdown, please visit John
Gruber’s website at http://www.daringfireball.net. ghostwriter
provides a relaxing, distraction-free writing environment.

%prep
%setup -q

%build
%qmake5 PREFIX=%{_prefix}
%make_jobs

%install
%qmake5_install
%suse_update_desktop_file -r %{name} TextEditor

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README.md CREDITS.md COPYING
%{_bindir}/ghostwriter
%{_datadir}/ghostwriter
%dir %{_datadir}/appdata
%{_datadir}/appdata/ghostwriter.appdata.xml
%{_datadir}/applications/ghostwriter.desktop
%{_datadir}/icons/hicolor/*
%{_mandir}/man1/ghostwriter.1%{ext_man}
%{_datadir}/pixmaps/ghostwriter.xpm

%changelog
* Thu Sep  8 2016 luke.nukem.jones@gmail.com
- Update to version 1.4.2:
  * Issue #113: Full screen clock now displays time based on
    locale.
  * Issue #119: Null characters, which had been breaking the HTML
    preview, are no longer inserted when typing over selecting text.
  * Issue #121: Code fences are now correctly highlighted when they
    contain blank lines.
  * Issue #123: Statistics HUDs now have proper padding when
    alternating row colors is enabled.
  * Issue #125: The translations folder has been moved up one
    folder for the portable distribution of ghostwriter.
  * Sundry minor fixes have been added.
* Mon Aug 15 2016 luke.nukem.jones@gmail.com
- Update to version 1.4.1:
  * Pressing backspace at the end of a line no longer deletes
    adjacent line breaks.
  * Renaming a theme no longer removes its background image.
  * Main window is now rendered correctly when transitioning
    between full screen mode and maximized. Main window also
    remembers its normal size upon being restored from maximized
    after having been in full screen mode previously.
* Wed Jul 27 2016 mpluskal@suse.com
- Update to version 1.4.0:
  * The time of day optionally displays in full screen mode.
  * The recent file history size has been increased to 10.
  * The menu bar will optionally auto-hide in full screen mode when
    the mouse is not hovering over it.
  * All new Hemingway mode button will disable backspace and
    delete keys.
  * Two new HUDs display statistical information on the current
    writing session and document.
  * Auto-matched characters can be customized.
  * Pandoc PDF export now has better defaults for margins and
    hyperlinks.
  * Shortcut keys using Alt now use Ctrl to avoid conflicts with
    OS shortcut keys and to better accommodate non-USA keyboards.
  * High DPI scaling has been enabled for Qt 5.6 and above.
  * Dragging and dropping an image into the editor will now insert
    the image link at the mouse location.
  * Classic Light and Classic Dark themes have new color palettes.
  * Various aesthetics have been added to the main window.
  * New application translations are available for the following
    languages:
    + German
    + Italian
    + Japanese
    + Portuguese (Brazil)
    + Russian
  * Sundry other fixes have been added.
* Thu May  5 2016 jengelh@inai.de
- Trim description to relevant parts.
* Sat Apr 30 2016 mpluskal@suse.com
- Initial package for version 1.3.1
